package cn.skcks.wx.official.api.controller;

import cn.skcks.wx.official.service.WxMpGenericService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.Parameters;
import io.swagger.v3.oas.annotations.enums.ParameterIn;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import io.swagger.v3.oas.models.security.SecurityScheme;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import lombok.RequiredArgsConstructor;
import lombok.SneakyThrows;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "微信公众号接口", description = "微信公众号接口")
@RestController
@RequestMapping("/mp")
@RequiredArgsConstructor
public class MpController {
    private final WxMpGenericService wechatMpAuthService;

    @SneakyThrows
    @Operation(summary = "微信公众号对外服务接口")
    @Parameters({
            @Parameter(name = "appId", description = "微信公众号appId", required = true, in = ParameterIn.PATH)
    })
    @RequestMapping("/{appId}")
    public void test(HttpServletRequest request, HttpServletResponse response, @PathVariable String appId){
        wechatMpAuthService.auth(appId, request, response);
    }
}
