package cn.skcks.wx.official.orm.entity;

import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;

import java.math.BigInteger;
import com.mybatisflex.core.activerecord.Model;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import java.io.Serial;

/**
 * 设备通道信息 实体类。
 *
 * @author shikong
 * @since 2024-04-17
 */
@Accessors(chain = true)
@Data(staticConstructor = "create")
@EqualsAndHashCode(callSuper = true)
@Schema(description = "设备通道信息")
@Table(value = "wx_official_account", dataSource = "mysql")
public class WxOfficialAccount extends Model<WxOfficialAccount> {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @Id(keyType = KeyType.Auto)
    @Schema(description = "主键id")
    private BigInteger id;

    /**
     * 微信公众号appid
     */
    @Schema(description = "微信公众号appid")
    private String appId;

    /**
     * 公众号账号
     */
    @Schema(description = "公众号账号")
    private String account;

    /**
     * 第三方用户唯一凭证密钥
     */
    @Schema(description = "第三方用户唯一凭证密钥")
    private String secret;

    /**
     * 令牌
     */
    @Schema(description = "令牌")
    private String token;

    /**
     * 消息加解密密钥
     */
    @Schema(description = "消息加解密密钥")
    private String aesKey;

    /**
     * 是否启用
     */
    @Schema(description = "是否启用")
    private Boolean enabled;

}
